## lifelines 3.0.61

=== debian/changelog ===
lifelines (3.0.61-6) unstable; urgency=medium

  * QA upload.
  * Drop dependency on devscripts

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 18:42:12 +0200

lifelines (3.0.61-5) unstable; urgency=medium

  * QA upload.
  * Drop dependency on dh-buildinfo
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Nov 2024 01:00:19 +0100

lifelines (3.0.61-4) unstable; urgency=medium

  * QA upload.
  * Make it clear that this package is orphaned and needs a new
    package maintainer.
  * debian/control: Drop build-dependency on autoconf and autotools-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 12:00:32 -0400

lifelines (3.0.61-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (Closes: #1004932)
  * debian/control: Add Vcs-* packaging fields on Debian Salsa.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 15:01:58 -0500

lifelines (3.0.61-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Christian Perrier from Uploaders. (Closes: #927664)
  * Set Homepage and d/watch to the new GitHub location. (Closes: #805867)

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 (quilt)".
    (Closes: #670739)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add required build-arch and build-indep targets to rules file.
  * Add note to copyright file about unreachable upstream URL.

 -- Bastian Germann <bage@debian.org>  Tue, 20 Dec 2022 22:46:33 +0100

lifelines (3.0.61-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop sgmltools build-dep, docs only use jw/lynx to build things
    despite sgmltools reference in configure.ac

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Dec 2019 00:22:44 +0000

lifelines (3.0.61-2) unstable; urgency=low

  * The "let's modernize this package a bit" release
  * Add build-arch and build-indep targets
  * Add ${misc:Depends} to dependencies to properly deal with
    dependencies brought by the use of debhelper helpers
  * No longer ignore errors by "make distclean"
  * Switch debian/copyright to UTF-8
  * Change menu section to use "Applications/Data Management"
  * Change doc-base section to use "Data Management"
  * Bump debhelper comatibility level to 8
  * Bump Standards to 3.9.2 (checked)
  * Replace dh_clean -k by dh_prep

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 22:29:56 +0100

lifelines (3.0.61-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - New upstream release.
  * debian/chnagelog
    - Remove obsolete Emacs variables from end of file.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #575853).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 17:50:26 +0300

lifelines (3.0.61-1) unstable; urgency=low

  * New upstream release. (Closes: #387856).
  * Fixing documentation build problems also fixes FTBFS if built twice in a
    row. (Closes: #424543).
  * Adding lynx as a build dependency. This is necessary to generate txt files
    from html, discovered while fixing #424543.
  * Upstream fix: charset for gedcom file in unicode. (Closes: #396206).
  * Upstream fim: updating documentation about desc-tex2. (Closes: #405501).
  * Bumping Standards-Version to 3.7.2 without package changes.
  * Dropping local debian patches added upstream.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Tue, 14 Aug 2007 00:02:04 -0500

lifelines (3.0.50-4) unstable; urgency=low

  * "Let's skip the -3" release. (To fix some bugs in stable a -3 was
    uploaded to Stable Proposed Updates, then I learned that using
    -2etch1 as the revision would be better. Since -3 exists as a rejected
    package in s-p-u, dak rejects the upload of -3 to unstable because). :)

  * Adding fixes from 3.0.50-2etch1 to unstable.
    - Fixing debian/watch (updating to version 3 and adjusting the regex to
      avoid uscan to find lifelines-reports-X.Y.Z.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Mon, 28 May 2007 19:22:05 -0500

lifelines (3.0.50-2etch1) stable; urgency=low

  * Changing docs/ll-reportmanual.xml and docs/ll-userguide.xml to fix
    documentation build problems (Closes: #418347).

  * lifelines-reports
    - Adding a dependency to lifelines >= 3.0.50 to prevent file conflict.
      (Closes: #405500).

  * Updating French translation. Thanks to Bernard Adrian. (Closes: #356671).

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Thu, 24 May 2007 00:18:17 -0500

lifelines (3.0.50-2) unstable; urgency=low

  * Avoiding segfaults on architectures where the size of a pointer is greater
    than the size of an integer, such as ia64. (Thanks to dann frazier).
    - For now, using dpatch (007_src_gedlib-codesets.c.dpatch), waiting to get
      the patch included in upstream source. (Closes: #348618)
  * Using dpatch to create ll-index.html and ll-index.sv.html.

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Thu, 19 Jan 2006 00:56:34 -0200

lifelines (3.0.50-1) unstable; urgency=low

  * New upstream. (Closes: #345138)
    - #345138 (lifelines-3.0.50) and #335437 (lifelines-3.0.49) were merged.
  * Change Build-Depends to use libncursesw5-dev instead of libncurses5-dev.
    - UTF-8 support since lifelines-3.0.49
  * Correcting lifelines-doc. Thanks to 'J S Bygott' for the nice bug report
    and the suggestions on how to fix the problems. (Closes: #330483)
    - Wrong abstract;
    - Using only one "Files" section in control fields for non-html;
    - Entering both manuals in control fields for html.
  * LICENSE, COPYING and INSTALL removed (lintian and linda complains)

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Mon, 16 Jan 2006 16:35:13 -0200

lifelines (3.0.46.1-1) unstable; urgency=low

  * New upstream.

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Sun, 26 Jun 2005 05:55:02 -0300

lifelines (3.0.46-1) unstable; urgency=low

  * New maintainer.

