=== debian/control ===
Source: lifelines
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libncurses-dev, bison, debhelper (>= 9), docbook-utils, ghostscript, lynx
Rules-Requires-Root: no
Standards-Version: 3.9.3
Homepage: http://lifelines.github.io/lifelines/
Vcs-Git: https://salsa.debian.org/debian/lifelines.git
Vcs-Browser: https://salsa.debian.org/debian/lifelines

Package: lifelines
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: text-based genealogy software
 LifeLines is a genealogy program that runs on UNIX systems in text mode. It
 maintains genealogical records (persons, families, sources, events and
 others) in a database, and generates reports from those records.
 .
 There are no practical limits on the number of records that can be stored in
 a LifeLines database, nor on the amounts or kinds of data that can be
 kept in the records.
 .
 LifeLines does not contain built-in reports. Instead it provides a
 programming subsystem that you use to program your own reports and
 charts. Some standard report files are included in the
 lifelines-reports package.
 .
 The programming subsystem also lets you query your databases and
 process your data in any way. LifeLines uses the terminal independent
 features of UNIX to provide a screen and menu based user interface.
 .
 The program is able to read and write GEDCOM files, the de facto
 standard for genealogical data exchange.

Package: lifelines-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for lifelines, a genealogy software system
 This package contains the full documentation for lifelines genealogy
 software (text, HTML, XML and PDF formats).

Package: lifelines-doc-sv
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: swedish documentation for lifelines, a genealogy software system
 This package contains the full documentation for lifelines genealogy
 software (text, HTML, XML and PDF formats).
 .
 Files in this package use the Swedish language.

Package: lifelines-reports
Architecture: all
Depends: lifelines (>= 3.0.61), ${misc:Depends}
Description: reports for lifelines, a genealogy software system
 Lifelines has a very powerful reporting language. This package
 includes all "standard" reports, which come with the official
 Lifelines distribution.
