=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
# export DH_OPTIONS

# see /usr/share/doc/autotools-dev/README.Debian.gz
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

package = lifelines
docdir = $(tmp)/usr/share/doc/$(package)
export DESTDIR = $(shell pwd)/debian/$(package)

configure: configure-stamp

configure-stamp:
	# The 3.0.28-1 impossible to build from sources.
	# This autogen.sh script is probably wrong.
	# debian/autogen.sh

	cd build/autotools && \
	cp -vf /usr/share/misc/config.sub /usr/share/misc/config.guess . && \
	chmod u+x config.sub config.guess

	dh_testdir
	./configure $(confflags) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f po/*.gmo
	rm -f config.h config.cache config.status config.log stamp-config \
		build/autotools/config.sub \
		build/autotools/config.guess
	rm -f $(CURDIR)/linesrc
	dh_clean

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

install:: DH_OPTIONS=
install:: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/usr/bin/llines $(DESTDIR)/usr/lib/lifelines
	# We don't want doc files to be installed by make. Bug #194321
	rm $(DESTDIR)/usr/share/lifelines/ll-reportmanual.html || true
	rm $(DESTDIR)/usr/share/lifelines/ll-reportmanual-sv.html || true
	rm $(DESTDIR)/usr/share/lifelines/ll-reportmanual.pdf || true
	rm $(DESTDIR)/usr/share/lifelines/ll-reportmanual.txt || true
	rm $(DESTDIR)/usr/share/lifelines/ll-userguide.html || true
	rm $(DESTDIR)/usr/share/lifelines/ll-userguide-sv.html || true
	rm $(DESTDIR)/usr/share/lifelines/ll-userguide.pdf || true
	rm $(DESTDIR)/usr/share/lifelines/ll-userguide.txt || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-reportmanual.html || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-reportmanual-sv.html || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-reportmanual.pdf || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-reportmanual.txt || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-userguide.html || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-userguide-sv.html || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-userguide.pdf || true
	rm $(DESTDIR)/usr/share/doc/lifelines/ll-userguide.txt || true
	rm $(DESTDIR)/usr/share/doc/lifelines/*.1 || true
	# For Bug #293063
	rm -rf $(DESTDIR)/usr/share/lifelines || true
	cp $(CURDIR)/debian/add-ons/llines $(DESTDIR)/usr/bin/llines 
	chmod 755 $(DESTDIR)/usr/bin/llines 
	cp -r reports/* `pwd`/debian/lifelines-reports/usr/share/lifelines
	rm -f  `pwd`/debian/lifelines-reports/usr/share/lifelines/gen_index || true
	find `pwd`/debian/lifelines-reports/usr/share/lifelines/* -type f | xargs chmod 644 
	find `pwd`/debian/lifelines-reports/usr/share/lifelines/* -type d | xargs chmod 755
	cp $(CURDIR)/.linesrc $(CURDIR)/linesrc

	# Icon for menus
	cp $(CURDIR)/debian/lifelines.xpm $(DESTDIR)/usr/share/pixmaps/lifelines.xpm


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep:: DH_OPTIONS=-i
binary-indep:: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch:: DH_OPTIONS=-a
binary-arch:: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: autotools build clean binary-indep binary-arch binary install

export DH_OPTIONS
