=== debian/watch ===
version=4
https://github.com/lifelines/lifelines/tags .*/([\d\.]+)\.tar\.gz
